Jifty::Plugin::IEFixes(3)

NAME
Jifty::Plugin::IEFixes - Add javascript files for IE

SYNOPSIS
# In your jifty config.yml under the framework section:

  Plugins:
    - IEFixes:
        use_external_ie7js: 1
        js:
          - IE7
          - IE8
          - ie7-recalc
          - ie7-squish
        cdn: 'http://yourcdn.for.static.prefix/'

  In your app, if you want to add more IE-specific js:

    my ($ief) = Jifty->find_plugin('Jifty::Plugin::IEFixes')
    $ief->add_javascript( qw(file.js) );

METHODS

  init
Outputs IE-specific "conditional comments" in the "<head>" of each response which include more javascript.

  add_javascript FILE
Can be called during application initialization (at startup time) to add more javascript which should only be included in IE browsers. See also "add_javascript" in Jifty::Web.